### When procrastinating...

- you avoid urgent tasks. <!-- .element: class="fragment" -->
- you spend time on useless things. <!-- .element: class="fragment" -->
- you don't rest, nor regain energy. <!-- .element: class="fragment" -->

---

### And then...

- you fall behind and get stressed. <!-- .element: class="fragment" -->
- you regret losing your precious time. <!-- .element: class="fragment" -->
- you feel miserable and tired. <!-- .element: class="fragment" -->

---
<!-- .slide: data-transition="slide-in fade-out" -->
### ...but why?

---
<!-- .slide: data-transition="fade-in slide-out" -->
😐 "I don't feel like it."

"I'm too tired now." 😪 <!-- .element: class="fragment" -->

😕 "I don't know how to do it." <!-- .element: class="fragment" -->

"I'm too busy now." 🧐 <!-- .element: class="fragment" -->

😇 "I'll do it, but first [☕]." <!-- .element: class="fragment" -->

---

### No, really. Why?

---

### Expanding potential

Never before did we have so much...

- life expectancy, safety, stability <!-- .element: class="fragment" -->
- freedom, opportunity <!-- .element: class="fragment" -->
- accessible information, knowledge <!-- .element: class="fragment" -->

...and **so many options** to choose from!
<!-- .element: class="fragment r-fit-text" -->

---

### Decision Paralysis

We can easily become overwhelmed by options.
<!-- .element class="r-fit-text" -->

- What if I pick the wrong option? <!-- .element: class="fragment" -->
- Should I go back and try the other one? <!-- .element: class="fragment" -->
- Will this be the best use of my resources? <!-- .element: class="fragment" -->
- Shouldn't I spend more time researching this? <!-- .element: class="fragment" -->

---

#### Deciding on anything hurts,

#### so we leave it for *later*.
<!-- .element: class="fragment" -->

---
<!-- .slide: data-transition="slide-in fade-out" -->
#### But as the saying goes...

> The best is the mortal enemy of the good

&mdash; <cite>Montesquieu</cite>

---
<!-- .slide: data-transition="fade-in slide-out" -->
#### But as the saying goes...

> Premature optimization is the root of all evil

&mdash; <cite>Donald Knuth</cite>

---
<!-- .slide: class="pathfinder-page" -->
#### Try out everything!

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="BFS" selected>Breadth First Search</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid" id="grid"></div></div>
</div>

<div class="pathfinder-rerun">Restart</div>

-V-
<!-- .slide: class="pathfinder-page" -->
#### Wandering aimlessly

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="DFS" selected>Depth First Search</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid"></div></div>
</div>

<div class="pathfinder-rerun">Restart</div>

-V-
<!-- .slide: class="pathfinder-page" -->
#### Having a vision

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="Greedy" selected>Greedy Algorithm</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid"></div></div>
</div>

<div class="pathfinder-rerun">Restart</div>

---

### Ok, now what?

#### Science to the rescue <!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#030" -->
## Personal Intermezzo!

---
<!-- .slide: data-background-color="#030" -->
### I 💘

### Code + Computers
### + Coffee <!-- .element: class="fragment" -->
### + Perfection <!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#030" -->
### I enjoy meeting people*
### once a week. <!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#030" -->
### Career Review

| Role                       | duration    |
| -------------------------- | ----------- |
| Software **Developer**     | for 4 years |
| Sr. Software **Developer** | for 4 years |
| Dev **Manager**            | for 5 years |
| Sr. Dev **Manager**        | for 1+ year |

---
<!-- .slide: data-background-color="#030" -->
### Last year I realized
- I'm unhappy <!-- .element: class="fragment" -->
- I procrastinate <!-- .element: class="fragment" -->
- I can't keep up at work <!-- .element: class="fragment" -->
- I'm scared of the next workday <!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#030" -->
### ~~Science to the rescue~~ <!-- .element: class="lightweight" -->
### Library to the rescue

---
<!-- .slide: data-background-color="#030" data-background-image="slides/books.jpg"  -->
### My Stack of Books <!-- .element: class="text-over-image" -->

---
<!-- .slide: data-background-color="#030" -->

⭐ **The End of Procrastination** ⭐

by Petr Ludwig

-V-
<!-- .slide: data-background-color="#030" -->

*Grit: The Power of Passion and Perseverance*

by Angela Duckworth

-V-
<!-- .slide: data-background-color="#030" -->

*Flourish: A Visionary New Understanding of Happiness and Well-being*

by Martin Seligman

-V-
<!-- .slide: data-background-color="#030" -->

*Focus: A Simplicity Manifesto in the Age of Distraction*

by Leo Babauta

-V-
<!-- .slide: data-background-color="#030" -->

*Leaders Eat Last*

by Simon Sinek
